/**
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * 
 * @emails oncall+relay
 * @format
 */
'use strict';

var React = require('react');

var RelayEnvironmentProvider = require('../relay-hooks/RelayEnvironmentProvider');

var useRelayActorEnvironment = require('./useRelayActorEnvironment');

function ActorChange(props) {
  var actorEnvironment = useRelayActorEnvironment(props.actorChangePoint.__viewer);
  return /*#__PURE__*/React.createElement(RelayEnvironmentProvider, {
    environment: actorEnvironment,
    getEnvironmentForActor: function getEnvironmentForActor(actorIdentifier) {
      return actorEnvironment.multiActorEnvironment.forActor(actorIdentifier);
    }
  }, props.children(props.actorChangePoint.__fragmentRef, props.actorChangePoint.__viewer));
}

module.exports = ActorChange;